Bug 18925 - Move maxissueqty and maxonsiteissueqty to circulation_rules
Summary: Move maxissueqty and maxonsiteissueqty to circulation_rules
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Josef Moravec
URL:
Keywords:
Depends on: 18887
Blocks: 22847 23095 23104 18928 22489 22619 22679 22759
  Show dependency treegraph
 
Reported: 2017-07-10 15:35 UTC by Kyle M Hall
Modified: 2019-06-12 13:50 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Part of the ongoing effort to improve the maintainability of our codebase.
Version(s) released in:


Attachments
Bug 18925 - Move maxissueqty and maxonsiteissueqty to circulation_rules (58.74 KB, patch)
2017-07-25 15:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18925 - Update Schema Files (11.96 KB, patch)
2017-07-25 15:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18925 - Remove schema files for deleted tables (4.98 KB, patch)
2017-07-25 15:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18925 - Move maxissueqty and maxonsiteissueqty to circulation_rules (59.10 KB, patch)
2017-09-08 21:15 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925 - Update Schema Files (12.00 KB, patch)
2017-09-08 21:15 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925 - Remove schema files for deleted tables (4.99 KB, patch)
2017-09-08 21:15 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (26.09 KB, patch)
2017-10-04 23:02 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925 - Move maxissueqty and maxonsiteissueqty to circulation_rules (59.13 KB, patch)
2018-01-26 21:49 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925 - Update Schema Files (11.04 KB, patch)
2018-01-26 21:49 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925 - Remove schema files for deleted tables (4.99 KB, patch)
2018-01-26 21:49 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (26.01 KB, patch)
2018-01-26 21:49 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (20.92 KB, patch)
2018-01-27 01:21 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925 - Move maxissueqty and maxonsiteissueqty to circulation_rules (59.18 KB, patch)
2018-01-29 23:07 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (8.99 KB, patch)
2018-01-29 23:07 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (59.18 KB, patch)
2018-01-29 23:25 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: Update schema files (11.04 KB, patch)
2018-01-29 23:26 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: Remove schema files for deleted tables (4.99 KB, patch)
2018-01-29 23:26 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (20.92 KB, patch)
2018-01-29 23:26 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (8.99 KB, patch)
2018-01-29 23:26 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (59.34 KB, patch)
2018-02-26 18:29 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: Update schema files (10.81 KB, patch)
2018-02-26 18:29 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: Remove schema files for deleted tables (4.74 KB, patch)
2018-02-26 18:29 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (20.94 KB, patch)
2018-02-26 18:29 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (8.99 KB, patch)
2018-02-26 18:29 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (59.22 KB, patch)
2018-07-24 15:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Update schema files (10.81 KB, patch)
2018-07-24 15:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Remove schema files for deleted tables (4.99 KB, patch)
2018-07-24 15:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (20.94 KB, patch)
2018-07-24 15:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (9.02 KB, patch)
2018-07-24 15:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (59.42 KB, patch)
2018-09-15 20:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Update schema files (10.81 KB, patch)
2018-09-15 20:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Remove schema files for deleted tables (4.99 KB, patch)
2018-09-15 20:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (21.00 KB, patch)
2018-09-15 20:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (9.03 KB, patch)
2018-09-15 20:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule (2.21 KB, patch)
2018-09-15 20:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (59.42 KB, patch)
2018-09-29 21:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (21.00 KB, patch)
2018-09-29 21:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (9.03 KB, patch)
2018-09-29 21:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule (2.21 KB, patch)
2018-09-29 21:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Update schema files (11.62 KB, patch)
2018-09-29 21:32 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (59.54 KB, patch)
2018-10-24 21:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (21.06 KB, patch)
2018-10-24 21:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (9.03 KB, patch)
2018-10-24 21:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule (2.21 KB, patch)
2018-10-24 21:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Update schema files (11.62 KB, patch)
2018-10-24 21:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (59.51 KB, patch)
2018-12-06 18:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (21.06 KB, patch)
2018-12-06 18:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (9.03 KB, patch)
2018-12-06 18:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule (2.21 KB, patch)
2018-12-06 18:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Update schema files (7.19 KB, patch)
2018-12-06 18:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (58.70 KB, patch)
2019-02-21 20:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (21.06 KB, patch)
2019-02-21 20:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (9.03 KB, patch)
2019-02-21 20:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule (2.21 KB, patch)
2019-02-21 20:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Update schema files (5.74 KB, patch)
2019-02-21 20:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Fix null/empty behavior, again (1.95 KB, patch)
2019-02-21 20:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Update new occurrences (2.92 KB, patch)
2019-02-21 20:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (58.80 KB, patch)
2019-03-02 13:39 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (21.08 KB, patch)
2019-03-02 13:39 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (9.06 KB, patch)
2019-03-02 13:39 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule (2.27 KB, patch)
2019-03-02 13:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Update schema files (5.78 KB, patch)
2019-03-02 13:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Fix null/empty behavior, again (2.00 KB, patch)
2019-03-02 13:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Update new occurrences (2.96 KB, patch)
2019-03-02 13:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Make DB update idempotent (3.86 KB, patch)
2019-03-02 13:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Fix indentation characters in smart-rules.tt (2.56 KB, patch)
2019-03-02 13:40 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Fix basic_workflow.t (2.32 KB, patch)
2019-03-02 14:03 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Move existing rules (1.93 KB, patch)
2019-03-02 17:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: (follow-up) DBIC schema changes (1.72 KB, patch)
2019-03-02 17:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Fix 'Default checkout, hold policy by patron category' block (3.29 KB, patch)
2019-03-02 17:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (58.80 KB, patch)
2019-03-02 19:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (21.08 KB, patch)
2019-03-02 19:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (9.06 KB, patch)
2019-03-02 19:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule (2.27 KB, patch)
2019-03-02 19:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Update schema files (5.78 KB, patch)
2019-03-02 19:33 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Fix null/empty behavior, again (2.00 KB, patch)
2019-03-02 19:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Update new occurrences (2.96 KB, patch)
2019-03-02 19:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Make DB update idempotent (3.86 KB, patch)
2019-03-02 19:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Fix indentation characters in smart-rules.tt (2.56 KB, patch)
2019-03-02 19:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Fix basic_workflow.t (2.32 KB, patch)
2019-03-02 19:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Move existing rules (1.97 KB, patch)
2019-03-02 19:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (follow-up) DBIC schema changes (1.77 KB, patch)
2019-03-02 19:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Fix 'Default checkout, hold policy by patron category' block (3.33 KB, patch)
2019-03-02 19:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules (58.80 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: (follow-up) Change name of rule to fix ambiguity (21.17 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: (follow-up) Fix null/empty behavior (9.14 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule (2.32 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: Update schema files (5.85 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: Fix null/empty behavior, again (2.05 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: Update new occurrences (3.03 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Make DB update idempotent (3.92 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Fix indentation characters in smart-rules.tt (2.62 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Fix basic_workflow.t (2.37 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: Move existing rules (2.03 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: (follow-up) DBIC schema changes (1.83 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: Fix 'Default checkout, hold policy by patron category' block (3.40 KB, patch)
2019-03-05 14:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Fix Circulation.t (3.06 KB, patch)
2019-03-05 14:12 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18925: (RM follow-up) Remove issuingrules columns for new installs (1.29 KB, patch)
2019-03-05 20:53 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18925: (QA follow-up) Remove weird 'Null' values for integer column (1.32 KB, patch)
2019-03-06 13:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 18925: (RM follow-up) Remove schema files for deletedtables (4.81 KB, patch)
2019-03-06 18:57 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18925: (RM follow-up) Remove maxissueqty from issuingrule in SIP tests (903 bytes, patch)
2019-03-06 18:57 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-07-10 15:35:18 UTC

    
Comment 1 Kyle M Hall 2017-07-25 15:14:30 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2017-07-25 15:14:36 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2017-07-25 15:14:39 UTC Comment hidden (obsolete)
Comment 4 Jesse Weaver 2017-09-08 21:15:23 UTC Comment hidden (obsolete)
Comment 5 Jesse Weaver 2017-09-08 21:15:25 UTC Comment hidden (obsolete)
Comment 6 Jesse Weaver 2017-09-08 21:15:27 UTC Comment hidden (obsolete)
Comment 7 Jesse Weaver 2017-09-08 21:15:40 UTC
Rebased.
Comment 8 Jesse Weaver 2017-10-04 23:02:25 UTC Comment hidden (obsolete)
Comment 9 Jesse Weaver 2018-01-26 21:49:49 UTC Comment hidden (obsolete)
Comment 10 Jesse Weaver 2018-01-26 21:49:51 UTC Comment hidden (obsolete)
Comment 11 Jesse Weaver 2018-01-26 21:49:54 UTC Comment hidden (obsolete)
Comment 12 Jesse Weaver 2018-01-26 21:49:57 UTC Comment hidden (obsolete)
Comment 13 Jesse Weaver 2018-01-27 01:21:05 UTC Comment hidden (obsolete)
Comment 14 Jesse Weaver 2018-01-29 23:07:19 UTC Comment hidden (obsolete)
Comment 15 Jesse Weaver 2018-01-29 23:07:38 UTC Comment hidden (obsolete)
Comment 16 Jesse Weaver 2018-01-29 23:25:53 UTC Comment hidden (obsolete)
Comment 17 Jesse Weaver 2018-01-29 23:26:05 UTC Comment hidden (obsolete)
Comment 18 Jesse Weaver 2018-01-29 23:26:18 UTC Comment hidden (obsolete)
Comment 19 Jesse Weaver 2018-01-29 23:26:44 UTC Comment hidden (obsolete)
Comment 20 Jesse Weaver 2018-01-29 23:26:54 UTC Comment hidden (obsolete)
Comment 21 Jesse Weaver 2018-02-26 18:29:46 UTC Comment hidden (obsolete)
Comment 22 Jesse Weaver 2018-02-26 18:29:49 UTC Comment hidden (obsolete)
Comment 23 Jesse Weaver 2018-02-26 18:29:52 UTC Comment hidden (obsolete)
Comment 24 Jesse Weaver 2018-02-26 18:29:55 UTC Comment hidden (obsolete)
Comment 25 Jesse Weaver 2018-02-26 18:29:57 UTC Comment hidden (obsolete)
Comment 26 Séverine Queune 2018-03-16 13:22:01 UTC Comment hidden (obsolete)
Comment 27 Jonathan Druart 2018-07-24 15:16:20 UTC Comment hidden (obsolete)
Comment 28 Jonathan Druart 2018-07-24 15:16:24 UTC Comment hidden (obsolete)
Comment 29 Jonathan Druart 2018-07-24 15:16:28 UTC Comment hidden (obsolete)
Comment 30 Jonathan Druart 2018-07-24 15:16:32 UTC Comment hidden (obsolete)
Comment 31 Jonathan Druart 2018-07-24 15:16:35 UTC Comment hidden (obsolete)
Comment 32 Jonathan Druart 2018-07-24 15:31:30 UTC
Rebased. Blocked for now.

I will submit a follow-up when I will get an answer on bug 18887 comment 48.
Comment 33 Jonathan Druart 2018-07-24 15:32:54 UTC
Note:
C4::Circulation::GetBranchBorrowerCircRule
  1640             my $rule = Koha::CirculationRules->search(
should certainly be replaced by Koha::CirculationRules->get_effective_rule
Comment 34 Jonathan Druart 2018-09-15 20:19:39 UTC Comment hidden (obsolete)
Comment 35 Jonathan Druart 2018-09-15 20:19:43 UTC Comment hidden (obsolete)
Comment 36 Jonathan Druart 2018-09-15 20:19:47 UTC Comment hidden (obsolete)
Comment 37 Jonathan Druart 2018-09-15 20:19:51 UTC Comment hidden (obsolete)
Comment 38 Jonathan Druart 2018-09-15 20:19:54 UTC Comment hidden (obsolete)
Comment 39 Jonathan Druart 2018-09-15 20:19:58 UTC Comment hidden (obsolete)
Comment 40 Jonathan Druart 2018-09-29 21:31:42 UTC Comment hidden (obsolete)
Comment 41 Jonathan Druart 2018-09-29 21:31:47 UTC Comment hidden (obsolete)
Comment 42 Jonathan Druart 2018-09-29 21:31:52 UTC Comment hidden (obsolete)
Comment 43 Jonathan Druart 2018-09-29 21:31:57 UTC Comment hidden (obsolete)
Comment 44 Jonathan Druart 2018-09-29 21:32:01 UTC Comment hidden (obsolete)
Comment 45 Jonathan Druart 2018-09-29 21:32:29 UTC
Rebased on top of new patches submitted on bug 18887.
Comment 46 Jonathan Druart 2018-10-24 21:46:26 UTC Comment hidden (obsolete)
Comment 47 Jonathan Druart 2018-10-24 21:46:32 UTC Comment hidden (obsolete)
Comment 48 Jonathan Druart 2018-10-24 21:46:38 UTC Comment hidden (obsolete)
Comment 49 Jonathan Druart 2018-10-24 21:46:47 UTC Comment hidden (obsolete)
Comment 50 Jonathan Druart 2018-10-24 21:46:55 UTC Comment hidden (obsolete)
Comment 51 Jonathan Druart 2018-12-06 18:24:18 UTC
Created attachment 82927 [details] [review]
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules

This patch set moves maxissueqty and maxonsiteissueqty to the
circulation_rules table.

Test Plan:
1) Apply this patch
2) Run updatedatabase
3) prove t/db_dependent/Circulation.t
4) prove t/db_dependent/Circulation/Branch.t
5) prove t/db_dependent/Circulation/GetHardDueDate.t
6) prove t/db_dependent/Circulation/Returns.t
7) prove t/db_dependent/Circulation/SwitchOnSiteCheckouts.t
8) prove t/db_dependent/Circulation/TooMany.t
9) prove t/db_dependent/Holds/DisallowHoldIfItemsAvailable.t
10) prove t/db_dependent/Reserves.t
11) Note no changes in circulation behavior related to check out limis
    both on and off site
Comment 52 Jonathan Druart 2018-12-06 18:24:25 UTC
Created attachment 82928 [details] [review]
Bug 18925: (follow-up) Change name of rule to fix ambiguity

There was previously an ambiguity between the branch/category/itemtype
specific max{,onsite}issueqty and the total-per-patron max{,onsite}issueqty.
The latter has been renamed to patron_max{,onsite}issueqty.
Comment 53 Jonathan Druart 2018-12-06 18:24:31 UTC
Created attachment 82929 [details] [review]
Bug 18925: (follow-up) Fix null/empty behavior
Comment 54 Jonathan Druart 2018-12-06 18:24:37 UTC
Created attachment 82930 [details] [review]
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule
Comment 55 Jonathan Druart 2018-12-06 18:24:42 UTC
Created attachment 82931 [details] [review]
Bug 18925: Update schema files
Comment 56 Nick Clemens 2019-01-14 18:29:42 UTC
Attempted rebase due to bug 21753 - got tests failures after that
Comment 57 Jonathan Druart 2019-02-21 20:05:43 UTC
Created attachment 85480 [details] [review]
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules

This patch set moves maxissueqty and maxonsiteissueqty to the
circulation_rules table.

Test Plan:
1) Apply this patch
2) Run updatedatabase
3) prove t/db_dependent/Circulation.t
4) prove t/db_dependent/Circulation/Branch.t
5) prove t/db_dependent/Circulation/GetHardDueDate.t
6) prove t/db_dependent/Circulation/Returns.t
7) prove t/db_dependent/Circulation/SwitchOnSiteCheckouts.t
8) prove t/db_dependent/Circulation/TooMany.t
9) prove t/db_dependent/Holds/DisallowHoldIfItemsAvailable.t
10) prove t/db_dependent/Reserves.t
11) Note no changes in circulation behavior related to check out limis
    both on and off site
Comment 58 Jonathan Druart 2019-02-21 20:05:50 UTC
Created attachment 85481 [details] [review]
Bug 18925: (follow-up) Change name of rule to fix ambiguity

There was previously an ambiguity between the branch/category/itemtype
specific max{,onsite}issueqty and the total-per-patron max{,onsite}issueqty.
The latter has been renamed to patron_max{,onsite}issueqty.
Comment 59 Jonathan Druart 2019-02-21 20:05:58 UTC
Created attachment 85482 [details] [review]
Bug 18925: (follow-up) Fix null/empty behavior
Comment 60 Jonathan Druart 2019-02-21 20:06:05 UTC
Created attachment 85483 [details] [review]
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule
Comment 61 Jonathan Druart 2019-02-21 20:06:11 UTC
Created attachment 85484 [details] [review]
Bug 18925: Update schema files
Comment 62 Jonathan Druart 2019-02-21 20:06:16 UTC
Created attachment 85485 [details] [review]
Bug 18925: Fix null/empty behavior, again
Comment 63 Jonathan Druart 2019-02-21 20:06:23 UTC
Created attachment 85486 [details] [review]
Bug 18925: Update new occurrences
Comment 64 Tomás Cohen Arazi 2019-02-22 17:31:24 UTC
Do we need a fix for bug 18887 comment 143 in order to move on with this?
Comment 65 Tomás Cohen Arazi 2019-03-02 13:29:39 UTC
All looks good to me. The only doubt is why aren't the maxissueqty and maxonsiteissureqty columns removed from issuingrules.
Comment 66 Tomás Cohen Arazi 2019-03-02 13:39:36 UTC
Created attachment 85939 [details] [review]
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules

This patch set moves maxissueqty and maxonsiteissueqty to the
circulation_rules table.

Test Plan:
1) Apply this patch
2) Run updatedatabase
3) prove t/db_dependent/Circulation.t
4) prove t/db_dependent/Circulation/Branch.t
5) prove t/db_dependent/Circulation/GetHardDueDate.t
6) prove t/db_dependent/Circulation/Returns.t
7) prove t/db_dependent/Circulation/SwitchOnSiteCheckouts.t
8) prove t/db_dependent/Circulation/TooMany.t
9) prove t/db_dependent/Holds/DisallowHoldIfItemsAvailable.t
10) prove t/db_dependent/Reserves.t
11) Note no changes in circulation behavior related to check out limis
    both on and off site

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 67 Tomás Cohen Arazi 2019-03-02 13:39:46 UTC
Created attachment 85940 [details] [review]
Bug 18925: (follow-up) Change name of rule to fix ambiguity

There was previously an ambiguity between the branch/category/itemtype
specific max{,onsite}issueqty and the total-per-patron max{,onsite}issueqty.
The latter has been renamed to patron_max{,onsite}issueqty.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 68 Tomás Cohen Arazi 2019-03-02 13:39:56 UTC
Created attachment 85941 [details] [review]
Bug 18925: (follow-up) Fix null/empty behavior

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 69 Tomás Cohen Arazi 2019-03-02 13:40:04 UTC
Created attachment 85942 [details] [review]
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 70 Tomás Cohen Arazi 2019-03-02 13:40:15 UTC
Created attachment 85943 [details] [review]
Bug 18925: Update schema files

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 71 Tomás Cohen Arazi 2019-03-02 13:40:21 UTC
Created attachment 85944 [details] [review]
Bug 18925: Fix null/empty behavior, again

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 72 Tomás Cohen Arazi 2019-03-02 13:40:27 UTC
Created attachment 85945 [details] [review]
Bug 18925: Update new occurrences

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 73 Tomás Cohen Arazi 2019-03-02 13:40:38 UTC
Created attachment 85946 [details] [review]
Bug 18925: (QA follow-up) Make DB update idempotent

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 74 Tomás Cohen Arazi 2019-03-02 13:40:46 UTC
Created attachment 85947 [details] [review]
Bug 18925: (QA follow-up) Fix indentation characters in smart-rules.tt

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 75 Tomás Cohen Arazi 2019-03-02 13:49:24 UTC
Everything looks great. Minor stuffs:

- The question about issuingrules.
- Related to issuingrules: basic_workflow.t needs to be adjusted to use the new set_rule method for maxissueqty
Comment 76 Tomás Cohen Arazi 2019-03-02 14:03:24 UTC
Created attachment 85948 [details] [review]
Bug 18925: (QA follow-up) Fix basic_workflow.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 77 Jonathan Druart 2019-03-02 17:15:37 UTC
Created attachment 85949 [details] [review]
Bug 18925: Move existing rules
Comment 78 Jonathan Druart 2019-03-02 17:15:53 UTC
Created attachment 85950 [details] [review]
Bug 18925: (follow-up) DBIC schema changes
Comment 79 Jonathan Druart 2019-03-02 17:16:00 UTC
Created attachment 85951 [details] [review]
Bug 18925: Fix 'Default checkout, hold policy by patron category' block

We want ->Search to return undef if the rule does not exist.
Comment 80 Jonathan Druart 2019-03-02 17:19:07 UTC
(In reply to Tomás Cohen Arazi from comment #75)
> Everything looks great. Minor stuffs:
> 
> - The question about issuingrules.
> - Related to issuingrules: basic_workflow.t needs to be adjusted to use the
> new set_rule method for maxissueqty

Indeed, thanks for catching that!
Comment 81 Tomás Cohen Arazi 2019-03-02 19:33:23 UTC
Created attachment 85953 [details] [review]
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules

This patch set moves maxissueqty and maxonsiteissueqty to the
circulation_rules table.

Test Plan:
1) Apply this patch
2) Run updatedatabase
3) prove t/db_dependent/Circulation.t
4) prove t/db_dependent/Circulation/Branch.t
5) prove t/db_dependent/Circulation/GetHardDueDate.t
6) prove t/db_dependent/Circulation/Returns.t
7) prove t/db_dependent/Circulation/SwitchOnSiteCheckouts.t
8) prove t/db_dependent/Circulation/TooMany.t
9) prove t/db_dependent/Holds/DisallowHoldIfItemsAvailable.t
10) prove t/db_dependent/Reserves.t
11) Note no changes in circulation behavior related to check out limis
    both on and off site

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 82 Tomás Cohen Arazi 2019-03-02 19:33:31 UTC
Created attachment 85954 [details] [review]
Bug 18925: (follow-up) Change name of rule to fix ambiguity

There was previously an ambiguity between the branch/category/itemtype
specific max{,onsite}issueqty and the total-per-patron max{,onsite}issueqty.
The latter has been renamed to patron_max{,onsite}issueqty.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 83 Tomás Cohen Arazi 2019-03-02 19:33:37 UTC
Created attachment 85955 [details] [review]
Bug 18925: (follow-up) Fix null/empty behavior

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 84 Tomás Cohen Arazi 2019-03-02 19:33:44 UTC
Created attachment 85956 [details] [review]
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 85 Tomás Cohen Arazi 2019-03-02 19:33:52 UTC
Created attachment 85957 [details] [review]
Bug 18925: Update schema files

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 86 Tomás Cohen Arazi 2019-03-02 19:34:02 UTC
Created attachment 85958 [details] [review]
Bug 18925: Fix null/empty behavior, again

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 87 Tomás Cohen Arazi 2019-03-02 19:34:27 UTC
Created attachment 85959 [details] [review]
Bug 18925: Update new occurrences

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 88 Tomás Cohen Arazi 2019-03-02 19:34:44 UTC
Created attachment 85960 [details] [review]
Bug 18925: (QA follow-up) Make DB update idempotent

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 89 Tomás Cohen Arazi 2019-03-02 19:35:00 UTC
Created attachment 85961 [details] [review]
Bug 18925: (QA follow-up) Fix indentation characters in smart-rules.tt

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 90 Tomás Cohen Arazi 2019-03-02 19:35:08 UTC
Created attachment 85962 [details] [review]
Bug 18925: (QA follow-up) Fix basic_workflow.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 91 Tomás Cohen Arazi 2019-03-02 19:35:13 UTC
Created attachment 85963 [details] [review]
Bug 18925: Move existing rules

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 92 Tomás Cohen Arazi 2019-03-02 19:35:19 UTC
Created attachment 85964 [details] [review]
Bug 18925: (follow-up) DBIC schema changes

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 93 Tomás Cohen Arazi 2019-03-02 19:35:29 UTC
Created attachment 85965 [details] [review]
Bug 18925: Fix 'Default checkout, hold policy by patron category' block

We want ->Search to return undef if the rule does not exist.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 94 Josef Moravec 2019-03-05 14:11:04 UTC
Created attachment 86068 [details] [review]
Bug 18925: Move maxissueqty and maxonsiteissueqty to circulation_rules

This patch set moves maxissueqty and maxonsiteissueqty to the
circulation_rules table.

Test Plan:
1) Apply this patch
2) Run updatedatabase
3) prove t/db_dependent/Circulation.t
4) prove t/db_dependent/Circulation/Branch.t
5) prove t/db_dependent/Circulation/GetHardDueDate.t
6) prove t/db_dependent/Circulation/Returns.t
7) prove t/db_dependent/Circulation/SwitchOnSiteCheckouts.t
8) prove t/db_dependent/Circulation/TooMany.t
9) prove t/db_dependent/Holds/DisallowHoldIfItemsAvailable.t
10) prove t/db_dependent/Reserves.t
11) Note no changes in circulation behavior related to check out limis
    both on and off site

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 95 Josef Moravec 2019-03-05 14:11:09 UTC
Created attachment 86069 [details] [review]
Bug 18925: (follow-up) Change name of rule to fix ambiguity

There was previously an ambiguity between the branch/category/itemtype
specific max{,onsite}issueqty and the total-per-patron max{,onsite}issueqty.
The latter has been renamed to patron_max{,onsite}issueqty.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 96 Josef Moravec 2019-03-05 14:11:13 UTC
Created attachment 86070 [details] [review]
Bug 18925: (follow-up) Fix null/empty behavior

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 97 Josef Moravec 2019-03-05 14:11:18 UTC
Created attachment 86071 [details] [review]
Bug 18925: Replace logic in GetBranchBorrowerCircRule with get_effective_rule

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 98 Josef Moravec 2019-03-05 14:11:22 UTC
Created attachment 86072 [details] [review]
Bug 18925: Update schema files

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 99 Josef Moravec 2019-03-05 14:11:27 UTC
Created attachment 86073 [details] [review]
Bug 18925: Fix null/empty behavior, again

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 100 Josef Moravec 2019-03-05 14:11:31 UTC
Created attachment 86074 [details] [review]
Bug 18925: Update new occurrences

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 101 Josef Moravec 2019-03-05 14:11:36 UTC
Created attachment 86075 [details] [review]
Bug 18925: (QA follow-up) Make DB update idempotent

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 102 Josef Moravec 2019-03-05 14:11:40 UTC
Created attachment 86076 [details] [review]
Bug 18925: (QA follow-up) Fix indentation characters in smart-rules.tt

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 103 Josef Moravec 2019-03-05 14:11:45 UTC
Created attachment 86077 [details] [review]
Bug 18925: (QA follow-up) Fix basic_workflow.t

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 104 Josef Moravec 2019-03-05 14:11:49 UTC
Created attachment 86078 [details] [review]
Bug 18925: Move existing rules

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 105 Josef Moravec 2019-03-05 14:11:54 UTC
Created attachment 86079 [details] [review]
Bug 18925: (follow-up) DBIC schema changes

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 106 Josef Moravec 2019-03-05 14:11:59 UTC
Created attachment 86080 [details] [review]
Bug 18925: Fix 'Default checkout, hold policy by patron category' block

We want ->Search to return undef if the rule does not exist.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 107 Josef Moravec 2019-03-05 14:12:03 UTC
Created attachment 86081 [details] [review]
Bug 18925: (QA follow-up) Fix Circulation.t

Test plan:
t/db_dependent/Circulation.t

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 108 Josef Moravec 2019-03-05 14:16:29 UTC
Just a note: The patron_maxissueqty, and maxissueqty rules represents the same thing: it is number of max issues possible.

There is no setting from "Default checkout, hold policy by patron category" you can't make in the main circulation rules settings table. But as this is the same on master and as this development leads to revamp circulation rules setting UI, this could be fixed in the future. Hopefully the solution arise during developing/testing...
Comment 109 Nick Clemens 2019-03-05 14:35:54 UTC
(In reply to Josef Moravec from comment #108)
> Just a note: The patron_maxissueqty, and maxissueqty rules represents the
> same thing: it is number of max issues possible.
> 
> There is no setting from "Default checkout, hold policy by patron category"
> you can't make in the main circulation rules settings table. But as this is
> the same on master and as this development leads to revamp circulation rules
> setting UI, this could be fixed in the future. Hopefully the solution arise
> during developing/testing...

Reading your discussion with Joubu in IRC I think this is incorrect.

Let say Branch A has rules for 'Patron' catgory:
itype = BOOK, Current checkouts allowed = 5
itype = All, Current checkouts allowed = 5

This patron can checkout 5 books and 5 of anything else.

If you also set "Default checkout, hold policy by patron category" for 'Patron' to 5 then the patron can only checkout 5 items total (e.g. 3 books, 2 anything else)

The top section always checks the most specific rule and 'All' rules are really 'All not defined elsewhere' or 'Default' or 'Generic' - All is really a bad name when you look at it this way
Comment 110 Nick Clemens 2019-03-05 20:53:28 UTC
Created attachment 86121 [details] [review]
Bug 18925: (RM follow-up) Remove issuingrules columns for new installs
Comment 111 Nick Clemens 2019-03-05 21:05:07 UTC
QA tool complaint:
 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt
   FAIL	  filters
		missing_filter at line 12 (    [% categorycodes.push( pc.id ) %])

Is this a false positive? Or how can we filter on pushing to an array?
Comment 112 Tomás Cohen Arazi 2019-03-05 22:29:44 UTC
(In reply to Nick Clemens from comment #111)
> QA tool complaint:
>  FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt
>    FAIL	  filters
> 		missing_filter at line 12 (    [% categorycodes.push( pc.id ) %])
> 
> Is this a false positive? Or how can we filter on pushing to an array?

It is! We shouldn't mess with this cases. Only when displaying.
Comment 113 Nick Clemens 2019-03-06 12:26:56 UTC
Awesome work all!

Pushed to master for 19.05
Comment 114 Tomás Cohen Arazi 2019-03-06 12:31:44 UTC
(In reply to Nick Clemens from comment #113)
> Awesome work all!
> 
> Pushed to master for 19.05

\o/
Comment 115 Kyle M Hall 2019-03-06 12:44:28 UTC
(In reply to Tomás Cohen Arazi from comment #114)
> (In reply to Nick Clemens from comment #113)
> > Awesome work all!
> > 
> > Pushed to master for 19.05
> 
> \o/

\o/ from me as well!
Comment 116 Tomás Cohen Arazi 2019-03-06 13:09:28 UTC
Created attachment 86165 [details] [review]
Bug 18925: (QA follow-up) Remove weird 'Null' values for integer column

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 117 Jonathan Druart 2019-03-06 13:33:23 UTC
2 new commits added to misc4dev to insert the circ rules correctly:
  commit 8eb9c2489ce376e719fcc0a9a1549c83207a8a20
  Fix insert circ rules since bug 18925

And its followup...

  commit 02e6701eb923947a3939e27884c354dc4cb05401
  (follow-up) Fix insert circ rules since bug 18925
Comment 118 Jonathan Druart 2019-03-06 13:35:01 UTC
(In reply to Tomás Cohen Arazi from comment #116)
> Created attachment 86165 [details] [review] [review]
> Bug 18925: (QA follow-up) Remove weird 'Null' values for integer column
> 
> Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

As 0 is the default value defined at DBMS level we could have removed the lines :)
Comment 119 Tomás Cohen Arazi 2019-03-06 13:36:03 UTC
(In reply to Jonathan Druart from comment #118)
> (In reply to Tomás Cohen Arazi from comment #116)
> > Created attachment 86165 [details] [review] [review] [review]
> > Bug 18925: (QA follow-up) Remove weird 'Null' values for integer column
> > 
> > Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
> 
> As 0 is the default value defined at DBMS level we could have removed the
> lines :)

Sure, I prefered to make it explicit.
Comment 120 Jonathan Druart 2019-03-06 15:02:16 UTC
(In reply to Nick Clemens from comment #111)
> QA tool complaint:
>  FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/admin/smart-rules.tt
>    FAIL	  filters
> 		missing_filter at line 12 (    [% categorycodes.push( pc.id ) %])
> 
> Is this a false positive? Or how can we filter on pushing to an array?

See bug 22466.
Comment 121 Nick Clemens 2019-03-06 18:57:51 UTC
Created attachment 86206 [details] [review]
Bug 18925: (RM follow-up) Remove schema files for deletedtables

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 122 Nick Clemens 2019-03-06 18:57:55 UTC
Created attachment 86207 [details] [review]
Bug 18925: (RM follow-up) Remove maxissueqty from issuingrule in SIP tests

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 123 Martin Renvoize 2019-03-12 08:33:17 UTC
Enhancement will not be backported to 18.11.x series.
Comment 124 hannah.co 2019-06-11 19:22:49 UTC
After updating to 19.05 with this patch included, circulation rules treated "Unlimited" in "Current checkouts allowed" and "Current on-site checkouts allowed" as 0 (zero) instead of infinite. Attempting to checkout items with an "Unlimited" maxissueqty or maxonsiteissueqty resulted in the error "•	Too many checked out. 0 checked out, only are allowed.•	This patron can't check out this item per library circulation policy" 

Circulation was allowed again after changing "Unlimited" to a numerical value. 

Currently, leaving the "Current checkouts allowed"/maxissueqty and "Current on-site checkouts allowed"/maxonsiteissueqty blank defaults to "Unlimited". Should either the default value be changed, or the code changed to treat the default value as infinite again, instead of zero?
Comment 125 Jonathan Druart 2019-06-12 13:50:49 UTC
(In reply to hannah.co from comment #124)
> After updating to 19.05 with this patch included, circulation rules treated
> "Unlimited" in "Current checkouts allowed" and "Current on-site checkouts
> allowed" as 0 (zero) instead of infinite. Attempting to checkout items with
> an "Unlimited" maxissueqty or maxonsiteissueqty resulted in the error "•	Too
> many checked out. 0 checked out, only are allowed.•	This patron can't check
> out this item per library circulation policy" 
> 
> Circulation was allowed again after changing "Unlimited" to a numerical
> value. 
> 
> Currently, leaving the "Current checkouts allowed"/maxissueqty and "Current
> on-site checkouts allowed"/maxonsiteissueqty blank defaults to "Unlimited".
> Should either the default value be changed, or the code changed to treat the
> default value as infinite again, instead of zero?

I have opened bug 23104